XkbGetNameChanges(3)

NAME
XkbGetNameChanges - Update the local copy of the keyboard description with the actual values of the results of one or more calls to XkbNoteNameChanges

SYNOPSIS
Status XkbGetNameChanges ( dpy, xkb, changes )
      Display * dpy;
      XkbDescPtr xkb;
      XkbNameChangesPtr changes;

ARGUMENTS

- dpy
    connection to the X server

- xkb
    keyboard description to which names are copied

- changes
    names components to be obtained from the server

DESCRIPTION

XkbGetNameChanges examines the changes parameter, retrieves the necessary information from the server, and places the results into the xkb keyboard description. XkbGetNamesChanges can generate BadAlloc, BadImplementation, and BadMatch errors.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadImplementation
    Invalid reply from server

BadMatch
    A compatible version of Xkb was not available in the server or an argument has correct type and range, but is otherwise invalid

SEE ALSO
XkbNoteNameChanges(3)